Bug 1722548 - openshift-etcd namespace isn't collected in must-gather
Summary: openshift-etcd namespace isn't collected in must-gather
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.1.z
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard: 4.1.4
Depends On:
Blocks: 1722812
TreeView+ depends on / blocked
 
Reported: 2019-06-20 15:43 UTC by David Eads
Modified: 2019-07-04 09:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1722812 (view as bug list)
Environment:
Last Closed: 2019-07-04 09:01:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:50 UTC

Description David Eads 2019-06-20 15:43:33 UTC
etcd needs this info to debug certain classes of kube-apiserver issues.

Comment 4 ge liu 2019-06-27 06:59:01 UTC
Verified with 4.1.0-0.nightly-2019-06-27-030910.

# oc adm must-gather
Using image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a05575993fd36174713e0df6e52283414d8fe34e6d965906f272d68dcbd66bfe
namespace/openshift-must-gather-ggb9c created
clusterrolebinding.rbac.authorization.k8s.io/must-gather-8l2zw created
2019/06/27 06:48:04 Finished successfully with no errors.
....................
namespaces/openshift-etcd/
namespaces/openshift-etcd/openshift-etcd.yaml
namespaces/openshift-etcd/apps.openshift.io/
namespaces/openshift-etcd/apps.openshift.io/deploymentconfigs.yaml
namespaces/openshift-etcd/apps/
.............

Comment 6 errata-xmlrpc 2019-07-04 09:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.